## net.sf.antcontrib.net.httpclient
Class Credentials

    java.lang.Object
      net.sf.antcontrib.net.httpclient.Credentials

    public class Credentials

extends java.lang.Object

Constructor Summary
`Credentials()`

Method Summary
`java.lang.String` `getHost()`
`java.lang.String` `getPassword()`
`int` `getPort()`
`java.lang.String` `getRealm()`
`java.lang.String` `getScheme()`
`java.lang.String` `getUsername()`
`void` `setHost(java.lang.String host)`
`void` `setPassword(java.lang.String password)`
`void` `setPort(int port)`
`void` `setRealm(java.lang.String realm)`
`void` `setScheme(java.lang.String scheme)`
`void` `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Credentials

    public Credentials()

Method Detail

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getHost

    public java.lang.String getHost()

### setHost

    public void setHost(java.lang.String host)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getRealm

    public java.lang.String getRealm()

### setRealm

    public void setRealm(java.lang.String realm)

### getScheme

    public java.lang.String getScheme()

### setScheme

    public void setScheme(java.lang.String scheme)